https://flyte.org logo
#flytekit
Title
# flytekit
j

jeev

12/13/2021, 11:21 PM
@Eduardo Apolinario (eapolinario) @Yee: seeing this:
Copy code
Traceback (most recent call last):
  File "/fn/bin/pyflyte", line 5, in <module>
    from flytekit.clis.sdk_in_container.pyflyte import main
  File "/fn/lib/python3.9/site-packages/flytekit/__init__.py", line 164, in <module>
    from flytekit.core.base_sql_task import SQLTask
  File "/fn/lib/python3.9/site-packages/flytekit/core/base_sql_task.py", line 4, in <module>
    from flytekit.core.base_task import PythonTask, TaskMetadata
  File "/fn/lib/python3.9/site-packages/flytekit/core/base_task.py", line 26, in <module>
    from flytekit.common.tasks.sdk_runnable import ExecutionParameters
  File "/fn/lib/python3.9/site-packages/flytekit/common/tasks/sdk_runnable.py", line 16, in <module>
    from flytekit.common import interface as _interface
  File "/fn/lib/python3.9/site-packages/flytekit/common/interface.py", line 3, in <module>
    from flytekit.common import promise as _promise
  File "/fn/lib/python3.9/site-packages/flytekit/common/promise.py", line 4, in <module>
    from flytekit.common.types import helpers as _type_helpers
  File "/fn/lib/python3.9/site-packages/flytekit/common/types/helpers.py", line 8, in <module>
    from flytekit.models import literals as _literal_models
  File "/fn/lib/python3.9/site-packages/flytekit/models/literals.py", line 9, in <module>
    from flytekit.models.core import types as _core_types
  File "/fn/lib/python3.9/site-packages/flytekit/models/core/types.py", line 8, in <module>
    class EnumType(_common.FlyteIdlEntity):
  File "/fn/lib/python3.9/site-packages/flytekit/models/core/types.py", line 20, in EnumType
    def to_flyte_idl(self) -> _types_pb2.EnumType:
AttributeError: module 'flyteidl.core.types_pb2' has no attribute 'EnumType'
with flytekit 0.25
👀 1
e

Eduardo Apolinario (eapolinario)

12/13/2021, 11:22 PM
can you confirm what version of
flyteidl
you're running, @jeev?
j

jeev

12/13/2021, 11:22 PM
1.0.0
trying now with downgrade to 0.24 🤞
same issue
wait a min...flyteidl 1.0.0 is not on pypi
😛
will regen my deps
e

Eduardo Apolinario (eapolinario)

12/13/2021, 11:23 PM
wait, we don't have a 1.0.0 for flyteidl, right? Latest is 0.21.13
oh, ok
j

jeev

12/13/2021, 11:24 PM
no idea how poetry pulled that version
Copy code
[[package]]
name = "flyteidl"
version = "1.0.0"
description = "IDL for Flyte Platform"
category = "main"
optional = false
python-versions = "*"
e

Eduardo Apolinario (eapolinario)

12/13/2021, 11:24 PM
interesting.
j

jeev

12/13/2021, 11:24 PM
not sure if it was released and pulled
oof...looks like a bug in poetry pulling in a yanked package 😭
e

Eduardo Apolinario (eapolinario)

12/13/2021, 11:29 PM
oh, man
but... does it work with a valid release?
j

jeev

12/13/2021, 11:29 PM
pinning it manually
will let you know
👍 1
@Eduardo Apolinario (eapolinario): works now
sorry for the false alarm 🙂
e

Eduardo Apolinario (eapolinario)

12/13/2021, 11:44 PM
nice, no worries!
I will be following up on this yanked package.
j

jeev

12/14/2021, 12:01 AM
🙏
74 Views